@import "libs/shared/assets/src/global-style/variable";

.search-container {
    background: $bg-modal-header-title;
    padding: 22px 30px 22px 30px;
    border-radius: 8px;
    &__row {
        display: flex;
        align-items: flex-end;
        &--col {
            padding-left: 8px;
        }

        &--col-button {
            padding-left: 8px;
        }
    }

    ::ng-deep {
        .input__label {
            color: $bg-gray-body !important;
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
        }
        .ant-select-selector {
            border-radius: 10px !important;
            height: 40px !important;
            display: flex;
            align-items: center;
        }
        .ant-input {
            border-radius: 10px !important;
            height: 40px !important;
        }
        .ant-select-item,
        .ant-select-item-empty {
            display: block;
            min-height: 32px;
            padding: 5px 12px;
            font-size: 14px;
            line-height: 22px;
            position: relative;
            font-weight: 400;
        }
    }
}

.table-container {
    margin-top: 24px;
    &__table {
        overflow-x: auto;
    }
    &__col-text-ellipsis {
        white-space: nowrap;
        overflow: hidden !important;
        text-overflow: ellipsis;
        min-width: 428px;
    }
    .bg-white {
        background: $bg-body-table;
    }
    .header {
        min-width: 105px;
    }
    ::ng-deep {
        .ant-table-thead > tr > th {
            line-height: 150%;
        }
    }
}
.position-relative {
    position: relative;
}
.icon-style {
    border-radius: 50%;
    position: absolute;
    right: 1rem;
    top: 2.6rem;
    color: $bg-content-default;
    font-size: 12px;
    background: $bg-gray-rgb;
    cursor: pointer;
}
.container-button {
    display: flex;
    justify-content: center;
    margin: 25px 0 0 10px;
    &__search {
        width: 175px;
        height: 47px;
    }
}
.button-search {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 174px;
    height: 40px;
    background: $bg-gray-new;
    border-radius: 8px;
    border: none;
    color: $bg-primary-default;
}
.input-style {
    margin: 30px 0px 12px 0px;
    &__input {
        ::ng-deep {
            .ant-input {
                box-shadow: 0px 12px 57px rgba(75, 99, 226, 0.0527223), 0px 5.35455px 19.0824px rgba(75, 99, 226, 0.08);
                border-radius: 8px !important;
                height: 50px;
            }
            .ant-input:focus {
                border-color: #141ed2;
            }
            .ant-input:hover {
                border-color: #141ed2;
            }
        }
    }
}
.error {
    display: flex;
    align-items: center;
    column-gap: 5px;
    color: $bg-error-red;
}
.style-file {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    line-height: 20px;
    border-radius: 6px;
    letter-spacing: 0.25px;
    padding: 4px 8px 4px 8px;
    margin-right: 10px;
    width: 120px;
    height: 30px;
}
.active-color {
    background: $bg-primary-default;
    color: $bg-content;
}
.inactive-color {
    background: $bg-gray-new;
}
.text-ellipsis {
    display: block;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
    max-width: 150px;
}
.pdf-view {
    display: block;
    border: 1px solid $bg-modal-header-border;
    height: 70vh;
}
.wrap-text {
    flex-wrap: nowrap;
}
.mt-10{
  margin-top: 10px;
}
